javax.activation

## Interface DataContentHandlerFactory

-     public interface DataContentHandlerFactory

  This interface defines a factory for `DataContentHandlers`. An implementation of this interface should map a MIME type into an instance of DataContentHandler. The design pattern for classes implementing this interface is the same as for the ContentHandler mechanism used in `java.net.URL`.
  Since:
    1.6

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataContentHandler` | `createDataContentHandler(String mimeType)` Creates a new DataContentHandler object for the MIME type.

- - ### Method Detail

    - #### createDataContentHandler

          DataContentHandler createDataContentHandler(String mimeType)

      Creates a new DataContentHandler object for the MIME type.
      Parameters:
        `mimeType` - the MIME type to create the DataContentHandler for.
      Returns:
        The new `DataContentHandler`, or null if none are found.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.